"""
    Open:FactSet - Partners

    This service provides the capability to search and download unstructured content provided by <a href=\"https://open.factset.com/catalog/en-us\">Open:FactSet Partners</a>.  # noqa: E501

    The version of the OpenAPI document: 2.0.0
    Contact: api@factset.com
    Generated by: https://openapi-generator.tech
"""


import re  # noqa: F401
import sys  # noqa: F401
from multiprocessing.pool import ApplyResult
import typing

from fds.sdk.OpenFactSetPartnersDocuments.api_client import ApiClient, Endpoint as _Endpoint
from fds.sdk.OpenFactSetPartnersDocuments.model_utils import (  # noqa: F401
    check_allowed_values,
    check_validations,
    date,
    datetime,
    file_type,
    none_type,
    validate_and_convert_types
)
from fds.sdk.OpenFactSetPartnersDocuments.exceptions import ApiException
from fds.sdk.OpenFactSetPartnersDocuments.model.auth_status import AuthStatus
from fds.sdk.OpenFactSetPartnersDocuments.model.orbit_response import OrbitResponse
from fds.sdk.OpenFactSetPartnersDocuments.model.orbithistory_response import OrbithistoryResponse





class OrbitApi(object):
    """NOTE: This class is auto generated by OpenAPI Generator
    Ref: https://openapi-generator.tech

    Do not edit the class manually.
    """

    def __init__(self, api_client=None):
        if api_client is None:
            api_client = ApiClient()
        self.api_client = api_client

        self.get_chinese_transcripts_daily_endpoint = _Endpoint(
            settings={
                'response_type': (
                  { 200: (OrbitResponse,), 400: (AuthStatus,), 401: (AuthStatus,), 403: (AuthStatus,), 500: (AuthStatus,),  },
                  None
                ),
                'auth': [
                    'FactSetApiKey',
                    'FactSetOAuth2'
                ],
                'endpoint_path': '/orbit/transcripts/daily',
                'operation_id': 'get_chinese_transcripts_daily',
                'http_method': 'GET',
                'servers': None,
            },
            params_map={
                'all': [
                    'sort',
                    'pagination_limit',
                    'pagination_offset',
                    'start_date',
                    'end_date',
                    'stock_code',
                    'file_name',
                    'title',
                ],
                'required': [],
                'nullable': [
                ],
                'enum': [
                    'sort',
                ],
                'validation': [
                    'pagination_limit',
                    'pagination_offset',
                ]
            },
            root_map={
                'validations': {
                    ('pagination_limit',): {

                        'inclusive_maximum': 500,
                        'inclusive_minimum': 1,
                    },
                    ('pagination_offset',): {

                        'inclusive_minimum': 0,
                    },
                },
                'allowed_values': {
                    ('sort',): {

                        "STARTDATE": "startDate",
                        "-STARTDATE": "-startDate"
                    },
                },
                'openapi_types': {
                    'sort':
                        (str,),
                    'pagination_limit':
                        (int,),
                    'pagination_offset':
                        (int,),
                    'start_date':
                        (date,),
                    'end_date':
                        (date,),
                    'stock_code':
                        (str,),
                    'file_name':
                        (str,),
                    'title':
                        (str,),
                },
                'attribute_map': {
                    'sort': '_sort',
                    'pagination_limit': '_paginationLimit',
                    'pagination_offset': '_paginationOffset',
                    'start_date': 'startDate',
                    'end_date': 'endDate',
                    'stock_code': 'stockCode',
                    'file_name': 'fileName',
                    'title': 'title',
                },
                'location_map': {
                    'sort': 'query',
                    'pagination_limit': 'query',
                    'pagination_offset': 'query',
                    'start_date': 'query',
                    'end_date': 'query',
                    'stock_code': 'query',
                    'file_name': 'query',
                    'title': 'query',
                },
                'collection_format_map': {
                }
            },
            headers_map={
                'accept': [
                    'application/json'
                ],
                'content_type': [],
            },
            api_client=api_client
        )

        self.get_chinese_transcripts_history_endpoint = _Endpoint(
            settings={
                'response_type': (
                  { 200: (OrbithistoryResponse,), 400: (AuthStatus,), 401: (AuthStatus,), 403: (AuthStatus,), 500: (AuthStatus,),  },
                  None
                ),
                'auth': [
                    'FactSetApiKey',
                    'FactSetOAuth2'
                ],
                'endpoint_path': '/orbit/transcripts/history',
                'operation_id': 'get_chinese_transcripts_history',
                'http_method': 'GET',
                'servers': None,
            },
            params_map={
                'all': [
                    'pagination_limit',
                    'pagination_offset',
                    'file_name',
                ],
                'required': [],
                'nullable': [
                ],
                'enum': [
                ],
                'validation': [
                    'pagination_limit',
                    'pagination_offset',
                ]
            },
            root_map={
                'validations': {
                    ('pagination_limit',): {

                        'inclusive_maximum': 500,
                        'inclusive_minimum': 1,
                    },
                    ('pagination_offset',): {

                        'inclusive_minimum': 0,
                    },
                },
                'allowed_values': {
                },
                'openapi_types': {
                    'pagination_limit':
                        (int,),
                    'pagination_offset':
                        (int,),
                    'file_name':
                        (str,),
                },
                'attribute_map': {
                    'pagination_limit': '_paginationLimit',
                    'pagination_offset': '_paginationOffset',
                    'file_name': 'fileName',
                },
                'location_map': {
                    'pagination_limit': 'query',
                    'pagination_offset': 'query',
                    'file_name': 'query',
                },
                'collection_format_map': {
                }
            },
            headers_map={
                'accept': [
                    'application/json'
                ],
                'content_type': [],
            },
            api_client=api_client
        )


    @staticmethod
    def apply_kwargs_defaults(kwargs, return_http_data_only, async_req):
        kwargs["async_req"] = async_req
        kwargs["_return_http_data_only"] = return_http_data_only
        kwargs["_preload_content"] = kwargs.get("_preload_content", True)
        kwargs["_request_timeout"] = kwargs.get("_request_timeout", None)
        kwargs["_check_input_type"] = kwargs.get("_check_input_type", True)
        kwargs["_check_return_type"] = kwargs.get("_check_return_type", True)
        kwargs["_spec_property_naming"] = kwargs.get("_spec_property_naming", False)
        kwargs["_content_type"] = kwargs.get("_content_type")
        kwargs["_host_index"] = kwargs.get("_host_index")


    def get_chinese_transcripts_daily(
        self,
        **kwargs
    ) -> OrbitResponse:
        """Returns the daily files from Open:FactSet Partner - Orbit.  # noqa: E501

        Returns the daily files from Open:FactSet Partner - Orbit.  # noqa: E501
        This method makes a synchronous HTTP request. Returns the http data only


        Keyword Args:
            sort (str): Enables to get the data in ascending or descending order based on startTime. Results are in reverse chronological order if this parameter is not used.. [optional] if omitted the server will use the default value of "-startDate"
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            start_date (date): The earliest date of the Orbit file the API should fetching for based on fileTimestamp.. [optional]
            end_date (date): The latest date of the Orbit file the API should fetching for based on fileTimestamp.. [optional]
            stock_code (str): The company/ticker which is associated with the transcript. Please submit a question via Issue Tracker under the Open:FactSet - Partner Communication to get the required list of tickers. . [optional]
            file_name (str): This parameter is used to filters the results based on file name.. [optional]
            title (str): This parameter is used to filter the results based on the headline of the transcript.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True. NOTE: if this API returns a file, it is the responsibility
                of the caller to close the file stream.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            OrbitResponse
                Response Object
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=True, async_req=False)
        return self.get_chinese_transcripts_daily_endpoint.call_with_http_info(**kwargs)

    def get_chinese_transcripts_daily_with_http_info(
        self,
        **kwargs
    ) -> typing.Tuple[OrbitResponse, int, typing.MutableMapping]:
        """Returns the daily files from Open:FactSet Partner - Orbit.  # noqa: E501

        Returns the daily files from Open:FactSet Partner - Orbit.  # noqa: E501
        This method makes a synchronous HTTP request. Returns http data, http status and headers


        Keyword Args:
            sort (str): Enables to get the data in ascending or descending order based on startTime. Results are in reverse chronological order if this parameter is not used.. [optional] if omitted the server will use the default value of "-startDate"
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            start_date (date): The earliest date of the Orbit file the API should fetching for based on fileTimestamp.. [optional]
            end_date (date): The latest date of the Orbit file the API should fetching for based on fileTimestamp.. [optional]
            stock_code (str): The company/ticker which is associated with the transcript. Please submit a question via Issue Tracker under the Open:FactSet - Partner Communication to get the required list of tickers. . [optional]
            file_name (str): This parameter is used to filters the results based on file name.. [optional]
            title (str): This parameter is used to filter the results based on the headline of the transcript.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True. NOTE: if this API returns a file, it is the responsibility
                of the caller to close the file stream.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            OrbitResponse
                Response Object
            int
                Http Status Code
            dict
                Dictionary of the response headers
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=False, async_req=False)
        return self.get_chinese_transcripts_daily_endpoint.call_with_http_info(**kwargs)

    def get_chinese_transcripts_daily_async(
        self,
        **kwargs
    ) -> "ApplyResult[OrbitResponse]":
        """Returns the daily files from Open:FactSet Partner - Orbit.  # noqa: E501

        Returns the daily files from Open:FactSet Partner - Orbit.  # noqa: E501
        This method makes a asynchronous HTTP request. Returns the http data, wrapped in ApplyResult


        Keyword Args:
            sort (str): Enables to get the data in ascending or descending order based on startTime. Results are in reverse chronological order if this parameter is not used.. [optional] if omitted the server will use the default value of "-startDate"
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            start_date (date): The earliest date of the Orbit file the API should fetching for based on fileTimestamp.. [optional]
            end_date (date): The latest date of the Orbit file the API should fetching for based on fileTimestamp.. [optional]
            stock_code (str): The company/ticker which is associated with the transcript. Please submit a question via Issue Tracker under the Open:FactSet - Partner Communication to get the required list of tickers. . [optional]
            file_name (str): This parameter is used to filters the results based on file name.. [optional]
            title (str): This parameter is used to filter the results based on the headline of the transcript.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True. NOTE: if this API returns a file, it is the responsibility
                of the caller to close the file stream.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            ApplyResult[OrbitResponse]
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=True, async_req=True)
        return self.get_chinese_transcripts_daily_endpoint.call_with_http_info(**kwargs)

    def get_chinese_transcripts_daily_with_http_info_async(
        self,
        **kwargs
    ) -> "ApplyResult[typing.Tuple[OrbitResponse, int, typing.MutableMapping]]":
        """Returns the daily files from Open:FactSet Partner - Orbit.  # noqa: E501

        Returns the daily files from Open:FactSet Partner - Orbit.  # noqa: E501
        This method makes a asynchronous HTTP request. Returns http data, http status and headers, wrapped in ApplyResult


        Keyword Args:
            sort (str): Enables to get the data in ascending or descending order based on startTime. Results are in reverse chronological order if this parameter is not used.. [optional] if omitted the server will use the default value of "-startDate"
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            start_date (date): The earliest date of the Orbit file the API should fetching for based on fileTimestamp.. [optional]
            end_date (date): The latest date of the Orbit file the API should fetching for based on fileTimestamp.. [optional]
            stock_code (str): The company/ticker which is associated with the transcript. Please submit a question via Issue Tracker under the Open:FactSet - Partner Communication to get the required list of tickers. . [optional]
            file_name (str): This parameter is used to filters the results based on file name.. [optional]
            title (str): This parameter is used to filter the results based on the headline of the transcript.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True. NOTE: if this API returns a file, it is the responsibility
                of the caller to close the file stream.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            ApplyResult[(OrbitResponse, int, typing.Dict)]
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=False, async_req=True)
        return self.get_chinese_transcripts_daily_endpoint.call_with_http_info(**kwargs)


    def get_chinese_transcripts_history(
        self,
        **kwargs
    ) -> OrbithistoryResponse:
        """Returns the history files from Open:FactSet Partner - Orbit  # noqa: E501

        Returns the historical files from February 28th, 2005 to current date.   # noqa: E501
        This method makes a synchronous HTTP request. Returns the http data only


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            file_name (str): This parameter is used to filters the results based on file name.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True. NOTE: if this API returns a file, it is the responsibility
                of the caller to close the file stream.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            OrbithistoryResponse
                Response Object
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=True, async_req=False)
        return self.get_chinese_transcripts_history_endpoint.call_with_http_info(**kwargs)

    def get_chinese_transcripts_history_with_http_info(
        self,
        **kwargs
    ) -> typing.Tuple[OrbithistoryResponse, int, typing.MutableMapping]:
        """Returns the history files from Open:FactSet Partner - Orbit  # noqa: E501

        Returns the historical files from February 28th, 2005 to current date.   # noqa: E501
        This method makes a synchronous HTTP request. Returns http data, http status and headers


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            file_name (str): This parameter is used to filters the results based on file name.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True. NOTE: if this API returns a file, it is the responsibility
                of the caller to close the file stream.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            OrbithistoryResponse
                Response Object
            int
                Http Status Code
            dict
                Dictionary of the response headers
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=False, async_req=False)
        return self.get_chinese_transcripts_history_endpoint.call_with_http_info(**kwargs)

    def get_chinese_transcripts_history_async(
        self,
        **kwargs
    ) -> "ApplyResult[OrbithistoryResponse]":
        """Returns the history files from Open:FactSet Partner - Orbit  # noqa: E501

        Returns the historical files from February 28th, 2005 to current date.   # noqa: E501
        This method makes a asynchronous HTTP request. Returns the http data, wrapped in ApplyResult


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            file_name (str): This parameter is used to filters the results based on file name.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True. NOTE: if this API returns a file, it is the responsibility
                of the caller to close the file stream.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            ApplyResult[OrbithistoryResponse]
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=True, async_req=True)
        return self.get_chinese_transcripts_history_endpoint.call_with_http_info(**kwargs)

    def get_chinese_transcripts_history_with_http_info_async(
        self,
        **kwargs
    ) -> "ApplyResult[typing.Tuple[OrbithistoryResponse, int, typing.MutableMapping]]":
        """Returns the history files from Open:FactSet Partner - Orbit  # noqa: E501

        Returns the historical files from February 28th, 2005 to current date.   # noqa: E501
        This method makes a asynchronous HTTP request. Returns http data, http status and headers, wrapped in ApplyResult


        Keyword Args:
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            file_name (str): This parameter is used to filters the results based on file name.. [optional]
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True. NOTE: if this API returns a file, it is the responsibility
                of the caller to close the file stream.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            ApplyResult[(OrbithistoryResponse, int, typing.Dict)]
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=False, async_req=True)
        return self.get_chinese_transcripts_history_endpoint.call_with_http_info(**kwargs)


