"""
    Open:FactSet - Partners

    This service provides the capability to search and download unstructured content provided by <a href=\"https://open.factset.com/catalog/en-us\">Open:FactSet Partners</a>.  # noqa: E501

    The version of the OpenAPI document: 2.0.0
    Contact: api@factset.com
    Generated by: https://openapi-generator.tech
"""


import re  # noqa: F401
import sys  # noqa: F401
from multiprocessing.pool import ApplyResult
import typing

from fds.sdk.OpenFactSetPartnersDocuments.api_client import ApiClient, Endpoint as _Endpoint
from fds.sdk.OpenFactSetPartnersDocuments.model_utils import (  # noqa: F401
    check_allowed_values,
    check_validations,
    date,
    datetime,
    file_type,
    none_type,
    validate_and_convert_types
)
from fds.sdk.OpenFactSetPartnersDocuments.exceptions import ApiException
from fds.sdk.OpenFactSetPartnersDocuments.model.auth_status import AuthStatus
from fds.sdk.OpenFactSetPartnersDocuments.model.scripts_asia_response import ScriptsAsiaResponse





class ScriptsAsiaApi(object):
    """NOTE: This class is auto generated by OpenAPI Generator
    Ref: https://openapi-generator.tech

    Do not edit the class manually.
    """

    def __init__(self, api_client=None):
        if api_client is None:
            api_client = ApiClient()
        self.api_client = api_client

        self.get_scripts_asia_files_endpoint = _Endpoint(
            settings={
                'response_type': (
                  { 200: (ScriptsAsiaResponse,), 400: (AuthStatus,), 401: (AuthStatus,), 403: (AuthStatus,), 500: (AuthStatus,),  },
                  None
                ),
                'auth': [
                    'FactSetApiKey',
                    'FactSetOAuth2'
                ],
                'endpoint_path': '/scripts-asia/transcripts',
                'operation_id': 'get_scripts_asia_files',
                'http_method': 'GET',
                'servers': None,
            },
            params_map={
                'all': [
                    'sort',
                    'pagination_limit',
                    'pagination_offset',
                    'tracking_id',
                    'sa_id',
                    'start_date',
                    'end_date',
                    'company_name',
                    'event_type',
                    'language_type',
                    'file_name',
                    'type',
                ],
                'required': [],
                'nullable': [
                ],
                'enum': [
                    'sort',
                    'event_type',
                    'language_type',
                    'type',
                ],
                'validation': [
                    'pagination_limit',
                    'pagination_offset',
                ]
            },
            root_map={
                'validations': {
                    ('pagination_limit',): {

                        'inclusive_maximum': 500,
                        'inclusive_minimum': 1,
                    },
                    ('pagination_offset',): {

                        'inclusive_minimum': 0,
                    },
                },
                'allowed_values': {
                    ('sort',): {

                        "STARTDATE": "startDate",
                        "-STARTDATE": "-startDate"
                    },
                    ('event_type',): {

                        "01": "01",
                        "02": "02",
                        "03": "03",
                        "04": "04",
                        "05": "05",
                        "06": "06"
                    },
                    ('language_type',): {

                        "ENG": "eng",
                        "LOCAL": "local"
                    },
                    ('type',): {

                        "FULL": "full",
                        "DELTA": "delta"
                    },
                },
                'openapi_types': {
                    'sort':
                        (str,),
                    'pagination_limit':
                        (int,),
                    'pagination_offset':
                        (int,),
                    'tracking_id':
                        (str,),
                    'sa_id':
                        (str,),
                    'start_date':
                        (date,),
                    'end_date':
                        (date,),
                    'company_name':
                        (str,),
                    'event_type':
                        (str,),
                    'language_type':
                        (str,),
                    'file_name':
                        (str,),
                    'type':
                        (str,),
                },
                'attribute_map': {
                    'sort': '_sort',
                    'pagination_limit': '_paginationLimit',
                    'pagination_offset': '_paginationOffset',
                    'tracking_id': 'trackingId',
                    'sa_id': 'saId',
                    'start_date': 'startDate',
                    'end_date': 'endDate',
                    'company_name': 'companyName',
                    'event_type': 'eventType',
                    'language_type': 'languageType',
                    'file_name': 'fileName',
                    'type': 'type',
                },
                'location_map': {
                    'sort': 'query',
                    'pagination_limit': 'query',
                    'pagination_offset': 'query',
                    'tracking_id': 'query',
                    'sa_id': 'query',
                    'start_date': 'query',
                    'end_date': 'query',
                    'company_name': 'query',
                    'event_type': 'query',
                    'language_type': 'query',
                    'file_name': 'query',
                    'type': 'query',
                },
                'collection_format_map': {
                }
            },
            headers_map={
                'accept': [
                    'application/json'
                ],
                'content_type': [],
            },
            api_client=api_client
        )


    @staticmethod
    def apply_kwargs_defaults(kwargs, return_http_data_only, async_req):
        kwargs["async_req"] = async_req
        kwargs["_return_http_data_only"] = return_http_data_only
        kwargs["_preload_content"] = kwargs.get("_preload_content", True)
        kwargs["_request_timeout"] = kwargs.get("_request_timeout", None)
        kwargs["_check_input_type"] = kwargs.get("_check_input_type", True)
        kwargs["_check_return_type"] = kwargs.get("_check_return_type", True)
        kwargs["_spec_property_naming"] = kwargs.get("_spec_property_naming", False)
        kwargs["_content_type"] = kwargs.get("_content_type")
        kwargs["_host_index"] = kwargs.get("_host_index")


    def get_scripts_asia_files(
        self,
        **kwargs
    ) -> ScriptsAsiaResponse:
        """Returns the daily files from Open:FactSet Partner - Scripts Asia.  # noqa: E501

        Returns XML files and relevant metadata provided by Open: FactSet Partner – Scripts Asia. - type=delta Will get the latest 7 days files. Will run every two hours. - type=full Will get complete history except the latest 7 days. Will run weekly once on Friday.  # noqa: E501
        This method makes a synchronous HTTP request. Returns the http data only


        Keyword Args:
            sort (str): Enables to get the data in ascending or descending order based on startTime. Results are in reverse chronological order if this parameter is not used.. [optional] if omitted the server will use the default value of "-startDate"
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            tracking_id (str): Unique Scripts Asia identifier assigned to an event. . [optional]
            sa_id (str): This parameter filters the results based on saId of the Transcript. . [optional]
            start_date (date): The earliest date of the Scripts Asia file the API should return based on date. . [optional]
            end_date (date): The latest date of the Scripts Asia file the API should return based on date.          . [optional]
            company_name (str): This parameter filters the results based on Company Name of the Transcript. . [optional]
            event_type (str): This parameter filters the results based on eventType of the Transcript.  * 01 = Shareholders Meeting * 02 = Earnings Announcement * 03 = Medium-term Management Plan Announcement * 04 = Analyst Meeting * 05 = Special Announcement * 06 = Investor Conference . [optional]
            language_type (str): This parameter filters the results based on language type(either English or local) of the Transcript. . [optional] if omitted the server will use the default value of "local"
            file_name (str): This parameter is used to filters the results based on file name.. [optional]
            type (str): Specifies the type of the file.. [optional] if omitted the server will use the default value of "delta"
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True. NOTE: if this API returns a file, it is the responsibility
                of the caller to close the file stream.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            ScriptsAsiaResponse
                Response Object
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=True, async_req=False)
        return self.get_scripts_asia_files_endpoint.call_with_http_info(**kwargs)

    def get_scripts_asia_files_with_http_info(
        self,
        **kwargs
    ) -> typing.Tuple[ScriptsAsiaResponse, int, typing.MutableMapping]:
        """Returns the daily files from Open:FactSet Partner - Scripts Asia.  # noqa: E501

        Returns XML files and relevant metadata provided by Open: FactSet Partner – Scripts Asia. - type=delta Will get the latest 7 days files. Will run every two hours. - type=full Will get complete history except the latest 7 days. Will run weekly once on Friday.  # noqa: E501
        This method makes a synchronous HTTP request. Returns http data, http status and headers


        Keyword Args:
            sort (str): Enables to get the data in ascending or descending order based on startTime. Results are in reverse chronological order if this parameter is not used.. [optional] if omitted the server will use the default value of "-startDate"
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            tracking_id (str): Unique Scripts Asia identifier assigned to an event. . [optional]
            sa_id (str): This parameter filters the results based on saId of the Transcript. . [optional]
            start_date (date): The earliest date of the Scripts Asia file the API should return based on date. . [optional]
            end_date (date): The latest date of the Scripts Asia file the API should return based on date.          . [optional]
            company_name (str): This parameter filters the results based on Company Name of the Transcript. . [optional]
            event_type (str): This parameter filters the results based on eventType of the Transcript.  * 01 = Shareholders Meeting * 02 = Earnings Announcement * 03 = Medium-term Management Plan Announcement * 04 = Analyst Meeting * 05 = Special Announcement * 06 = Investor Conference . [optional]
            language_type (str): This parameter filters the results based on language type(either English or local) of the Transcript. . [optional] if omitted the server will use the default value of "local"
            file_name (str): This parameter is used to filters the results based on file name.. [optional]
            type (str): Specifies the type of the file.. [optional] if omitted the server will use the default value of "delta"
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True. NOTE: if this API returns a file, it is the responsibility
                of the caller to close the file stream.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            ScriptsAsiaResponse
                Response Object
            int
                Http Status Code
            dict
                Dictionary of the response headers
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=False, async_req=False)
        return self.get_scripts_asia_files_endpoint.call_with_http_info(**kwargs)

    def get_scripts_asia_files_async(
        self,
        **kwargs
    ) -> "ApplyResult[ScriptsAsiaResponse]":
        """Returns the daily files from Open:FactSet Partner - Scripts Asia.  # noqa: E501

        Returns XML files and relevant metadata provided by Open: FactSet Partner – Scripts Asia. - type=delta Will get the latest 7 days files. Will run every two hours. - type=full Will get complete history except the latest 7 days. Will run weekly once on Friday.  # noqa: E501
        This method makes a asynchronous HTTP request. Returns the http data, wrapped in ApplyResult


        Keyword Args:
            sort (str): Enables to get the data in ascending or descending order based on startTime. Results are in reverse chronological order if this parameter is not used.. [optional] if omitted the server will use the default value of "-startDate"
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            tracking_id (str): Unique Scripts Asia identifier assigned to an event. . [optional]
            sa_id (str): This parameter filters the results based on saId of the Transcript. . [optional]
            start_date (date): The earliest date of the Scripts Asia file the API should return based on date. . [optional]
            end_date (date): The latest date of the Scripts Asia file the API should return based on date.          . [optional]
            company_name (str): This parameter filters the results based on Company Name of the Transcript. . [optional]
            event_type (str): This parameter filters the results based on eventType of the Transcript.  * 01 = Shareholders Meeting * 02 = Earnings Announcement * 03 = Medium-term Management Plan Announcement * 04 = Analyst Meeting * 05 = Special Announcement * 06 = Investor Conference . [optional]
            language_type (str): This parameter filters the results based on language type(either English or local) of the Transcript. . [optional] if omitted the server will use the default value of "local"
            file_name (str): This parameter is used to filters the results based on file name.. [optional]
            type (str): Specifies the type of the file.. [optional] if omitted the server will use the default value of "delta"
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True. NOTE: if this API returns a file, it is the responsibility
                of the caller to close the file stream.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            ApplyResult[ScriptsAsiaResponse]
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=True, async_req=True)
        return self.get_scripts_asia_files_endpoint.call_with_http_info(**kwargs)

    def get_scripts_asia_files_with_http_info_async(
        self,
        **kwargs
    ) -> "ApplyResult[typing.Tuple[ScriptsAsiaResponse, int, typing.MutableMapping]]":
        """Returns the daily files from Open:FactSet Partner - Scripts Asia.  # noqa: E501

        Returns XML files and relevant metadata provided by Open: FactSet Partner – Scripts Asia. - type=delta Will get the latest 7 days files. Will run every two hours. - type=full Will get complete history except the latest 7 days. Will run weekly once on Friday.  # noqa: E501
        This method makes a asynchronous HTTP request. Returns http data, http status and headers, wrapped in ApplyResult


        Keyword Args:
            sort (str): Enables to get the data in ascending or descending order based on startTime. Results are in reverse chronological order if this parameter is not used.. [optional] if omitted the server will use the default value of "-startDate"
            pagination_limit (int): Specifies the maximum number of results to return per result.. [optional] if omitted the server will use the default value of 20
            pagination_offset (int): Specifies the starting point for pagination. This parameter is used to identify the beginning of next set of results. Using this parameter can fetch maximum of first 10000 records.. [optional] if omitted the server will use the default value of 0
            tracking_id (str): Unique Scripts Asia identifier assigned to an event. . [optional]
            sa_id (str): This parameter filters the results based on saId of the Transcript. . [optional]
            start_date (date): The earliest date of the Scripts Asia file the API should return based on date. . [optional]
            end_date (date): The latest date of the Scripts Asia file the API should return based on date.          . [optional]
            company_name (str): This parameter filters the results based on Company Name of the Transcript. . [optional]
            event_type (str): This parameter filters the results based on eventType of the Transcript.  * 01 = Shareholders Meeting * 02 = Earnings Announcement * 03 = Medium-term Management Plan Announcement * 04 = Analyst Meeting * 05 = Special Announcement * 06 = Investor Conference . [optional]
            language_type (str): This parameter filters the results based on language type(either English or local) of the Transcript. . [optional] if omitted the server will use the default value of "local"
            file_name (str): This parameter is used to filters the results based on file name.. [optional]
            type (str): Specifies the type of the file.. [optional] if omitted the server will use the default value of "delta"
            _preload_content (bool): if False, the urllib3.HTTPResponse object
                will be returned without reading/decoding response data.
                Default is True. NOTE: if this API returns a file, it is the responsibility
                of the caller to close the file stream.
            _request_timeout (int/float/tuple): timeout setting for this request. If
                one number provided, it will be total request timeout. It can also
                be a pair (tuple) of (connection, read) timeouts.
                Default is None.
            _check_input_type (bool): specifies if type checking
                should be done one the data sent to the server.
                Default is True.
            _check_return_type (bool): specifies if type checking
                should be done one the data received from the server.
                Default is True.
            _spec_property_naming (bool): True if the variable names in the input data
                are serialized names, as specified in the OpenAPI document.
                False if the variable names in the input data
                are pythonic names, e.g. snake case (default)
            _content_type (str/None): force body content-type.
                Default is None and content-type will be predicted by allowed
                content-types and body.
            _host_index (int/None): specifies the index of the server
                that we want to use.
                Default is read from the configuration.
        Returns:
            ApplyResult[(ScriptsAsiaResponse, int, typing.Dict)]
        """
        self.apply_kwargs_defaults(kwargs=kwargs, return_http_data_only=False, async_req=True)
        return self.get_scripts_asia_files_endpoint.call_with_http_info(**kwargs)


